# Get Served Model Logs

`GET /api/2.0/serving-endpoints/{name}/served-models/{served_model_name}/logs`

Retrieves the service logs associated with the provided served model.

API scopes: model-serving

## Path parameters

- `name` (string, optional)
  The name of the serving endpoint that the served model belongs to. This field is required.
  Constraints: `[ 1 .. 63 ] characters`
- `served_model_name` (string, optional)
  The name of the served model that logs will be retrieved for. This field is required.
  Constraints: `[ 1 .. 63 ] characters`

## Returns

- `logs` (string, optional)
  The most recent log lines of the model server processing invocation requests.

## Response

```json
{
  "logs": "[hc4q8] [2023-01-10 19:12:58 +0000] [2] [INFO] Starting gunicorn 20.1.0\n[hc4q8] [2023-01-10 19:12:58 +0000] [2] [INFO] Listening at: http://0.0.0.0:8080 (2)\n[hc4q8] [2023-01-10 19:12:58 +0000] [2] [INFO] Using worker: sync\n[hc4q8] [2023-01-10 19:12:58 +0000] [3] [INFO] Booting worker with pid: 3\n[hc4q8] [2023-01-10 19:12:58 +0000] [4] [INFO] Booting worker with pid: 4\n[hc4q8] [2023-01-10 19:12:58 +0000] [5] [INFO] Booting worker with pid: 5\n[hc4q8] [2023-01-10 19:12:58 +0000] [6] [INFO] Booting worker with pid: 6\n"
}
```

